Use log_info, log_error, log_success functions instead of the colors

This commit is contained in:
Andreas Dangel
2018-05-24 19:18:57 +02:00
parent fef93eec64
commit 281f151197
6 changed files with 46 additions and 46 deletions

View File

@ -5,7 +5,7 @@ source .travis/common-functions.sh
source .travis/colors.sh
VERSION=$(./mvnw -q -Dexec.executable="echo" -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.5.0:exec | tail -1)
echo_yellow "[ INFO] Building PMD Coveralls.io report ${VERSION} on branch ${TRAVIS_BRANCH}"
log_info "Building PMD Coveralls.io report ${VERSION} on branch ${TRAVIS_BRANCH}"
if ! travis_isPush; then
echo "Not proceeding, since this is not a push!"
@ -25,9 +25,9 @@ echo "MAVEN_OPTS='-Xms1g -Xmx1g --add-modules java.se.ee'" > ${HOME}/.mavenrc
./mvnw test jacoco:report coveralls:report -Pcoveralls -B -V
if [ $? -ne 0 ]; then
echo_red "[ERROR] Error creating coveralls report"
log_error "Error creating coveralls report"
else
echo_green "[ INFO] New coveralls result: https://coveralls.io/github/pmd/pmd"
log_success "New coveralls result: https://coveralls.io/github/pmd/pmd"
fi
true
)

View File

@ -6,9 +6,9 @@ source .travis/colors.sh
function push_docs() {
if git diff --quiet docs; then
echo_yellow "[ INFO] No changes in docs..."
log_info "No changes in docs..."
else
echo_yellow "[ INFO] Found changes in docs..."
log_info "Found changes in docs..."
if [ "$TRAVIS_BRANCH" == "master" ]; then
git config user.name "Travis CI (pmd-bot)"
@ -16,38 +16,38 @@ function push_docs() {
git add -A docs
git commit -m "Update documentation"
git push git@github.com:pmd/pmd.git HEAD:master
echo_green "[ INFO] Successfully pushed docs update"
log_success "Successfully pushed docs update"
else
echo_yellow "[ INFO] Not on master branch, won't commit+push"
log_info "Not on master branch, won't commit+push"
fi
fi
}
VERSION=$(./mvnw -q -Dexec.executable="echo" -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.5.0:exec | tail -1)
echo_yellow "[ INFO] Building PMD ${VERSION} on branch ${TRAVIS_BRANCH}"
log_info "Building PMD ${VERSION} on branch ${TRAVIS_BRANCH}"
MVN_BUILD_FLAGS="-B -V"
if travis_isPullRequest; then
echo_yellow "[ INFO] This is a pull-request build"
log_info "This is a pull-request build"
./mvnw verify $MVN_BUILD_FLAGS
elif travis_isPush; then
if [[ "${VERSION}" != *-SNAPSHOT && "${TRAVIS_TAG}" != "" ]]; then
echo -e "\n\n"
echo_green "[ INFO] This is a release build for tag ${TRAVIS_TAG}"
log_info "This is a release build for tag ${TRAVIS_TAG}"
echo -e "\n\n"
./mvnw deploy -Possrh,pmd-release $MVN_BUILD_FLAGS
elif [[ "${VERSION}" == *-SNAPSHOT ]]; then
echo_yellow "[ INFO] This is a snapshot build"
log_info "This is a snapshot build"
./mvnw deploy -Possrh $MVN_BUILD_FLAGS
push_docs
else
# other build. Can happen during release: the commit with a non snapshot version is built, but not from the tag.
echo_yellow "[ INFO] This is some other build, probably during release: commit with a non-snapshot version on branch master..."
log_info "This is some other build, probably during release: commit with a non-snapshot version on branch master..."
./mvnw verify $MVN_BUILD_FLAGS
# we stop here - no need to execute further steps
exit 0
@ -58,21 +58,21 @@ elif travis_isPush; then
set +e
echo -e "\n\n"
echo_yellow "[ INFO] Uploading pmd distribution to sourceforge..."
log_info "Uploading pmd distribution to sourceforge..."
rsync -avh pmd-dist/target/pmd-*-${VERSION}.zip ${PMD_SF_USER}@web.sourceforge.net:/home/frs/project/pmd/pmd/${VERSION}/
if [ $? -ne 0 ]; then
echo_red "[ERROR] Error while uploading pmd-*-${VERSION}.zip to sourceforge!"
echo_red "[ERROR] Please upload manually: https://sourceforge.net/projects/pmd/files/pmd/"
log_error "Error while uploading pmd-*-${VERSION}.zip to sourceforge!"
log_error "Please upload manually: https://sourceforge.net/projects/pmd/files/pmd/"
fi
rsync -avh docs/pages/release_notes.md ${PMD_SF_USER}@web.sourceforge.net:/home/frs/project/pmd/pmd/${VERSION}/ReadMe.md
if [ $? -ne 0 ]; then
echo_red "[ERROR] Error while uploading release_notes.md as ReadMe.md to sourceforge!"
echo_red "[ERROR] Please upload manually: https://sourceforge.net/projects/pmd/files/pmd/"
log_error "Error while uploading release_notes.md as ReadMe.md to sourceforge!"
log_error "Please upload manually: https://sourceforge.net/projects/pmd/files/pmd/"
fi
true
)
else
echo_yellow "[ INFO] This is neither a pull request nor a push. Not executing any build."
log_info "This is neither a pull request nor a push. Not executing any build."
exit 1
fi

View File

@ -5,10 +5,10 @@ source .travis/common-functions.sh
source .travis/colors.sh
VERSION=$(./mvnw -q -Dexec.executable="echo" -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.5.0:exec | tail -1)
echo_yellow "[ INFO] Building PMD Documentation ${VERSION} on branch ${TRAVIS_BRANCH}"
log_info "Building PMD Documentation ${VERSION} on branch ${TRAVIS_BRANCH}"
if ! travis_isPush; then
echo_yellow "[ INFO] Not building site, since this is not a push!"
log_info "Not building site, since this is not a push!"
exit 0
fi
@ -16,13 +16,13 @@ pushd docs
# run jekyll
echo -e "\n\n"
echo_yellow "[ INFO] Building documentation using jekyll..."
log_info "Building documentation using jekyll..."
bundle install
bundle exec jekyll build
# create pmd-doc archive
echo -e "\n\n"
echo_yellow "[ INFO] Creating pmd-doc archive..."
log_info "Creating pmd-doc archive..."
mv _site pmd-doc-${VERSION}
zip -qr pmd-doc-${VERSION}.zip pmd-doc-${VERSION}/
@ -32,23 +32,23 @@ zip -qr pmd-doc-${VERSION}.zip pmd-doc-${VERSION}/
if [[ "${TRAVIS_TAG}" != "" || "${VERSION}" == *-SNAPSHOT ]]; then
echo -e "\n\n"
echo_yellow "[ INFO] Uploading pmd doc distribution to sourceforge..."
log_info "Uploading pmd doc distribution to sourceforge..."
rsync -avh pmd-doc-${VERSION}.zip ${PMD_SF_USER}@web.sourceforge.net:/home/frs/project/pmd/pmd/${VERSION}/
if [ $? -ne 0 ]; then
echo_red "[ERROR] Couldn't upload pmd-doc-${VERSION}.zip!"
echo_red "[ERROR] Please upload manually: https://sourceforge.net/projects/pmd/files/pmd/"
log_error "Couldn't upload pmd-doc-${VERSION}.zip!"
log_error "Please upload manually: https://sourceforge.net/projects/pmd/files/pmd/"
fi
fi
# rsync site to pmd.sourceforge.net/snapshot
if [[ "${VERSION}" == *-SNAPSHOT && "${TRAVIS_BRANCH}" == "master" ]]; then
echo -e "\n\n"
echo_yellow "[ INFO] Uploading snapshot site to pmd.sourceforge.net/snapshot..."
log_info "Uploading snapshot site to pmd.sourceforge.net/snapshot..."
travis_wait rsync -ah --stats --delete pmd-doc-${VERSION}/ ${PMD_SF_USER}@web.sourceforge.net:/home/project-web/pmd/htdocs/snapshot/
if [ $? -ne 0 ]; then
echo_red "[ERROR] Couldn't upload the snapshot documentation. It won't be current on http://pmd.sourceforge.net/snapshot/"
log_error "Couldn't upload the snapshot documentation. It won't be current on http://pmd.sourceforge.net/snapshot/"
else
echo_green "[ INFO] Successfully uploaded snapshot documentation: http://pmd.sourceforge.net/snapshot/"
log_success "Successfully uploaded snapshot documentation: http://pmd.sourceforge.net/snapshot/"
fi
fi

View File

@ -5,7 +5,7 @@ source .travis/common-functions.sh
source .travis/colors.sh
VERSION=$(./mvnw -q -Dexec.executable="echo" -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.5.0:exec | tail -1)
echo_yellow "[ INFO] Building PMD Sonar ${VERSION} on branch ${TRAVIS_BRANCH}"
log_info "Building PMD Sonar ${VERSION} on branch ${TRAVIS_BRANCH}"
if ! travis_isPush; then
echo "Not updating sonar, since this is not a push!"
@ -25,9 +25,9 @@ echo "MAVEN_OPTS='-Xms1g -Xmx1g --add-modules java.se.ee'" > ${HOME}/.mavenrc
./mvnw clean org.jacoco:jacoco-maven-plugin:prepare-agent package sonar:sonar -Dsonar.host.url=https://sonarcloud.io -Dsonar.login=${SONAR_TOKEN} -B -V
if [ $? -ne 0 ]; then
echo_red "[ERROR] Error updating sonar..."
log_error "Error updating sonar..."
else
echo_green "[ INFO] New sonar results: https://sonarcloud.io/dashboard?id=net.sourceforge.pmd%3Apmd"
log_success "New sonar results: https://sonarcloud.io/dashboard?id=net.sourceforge.pmd%3Apmd"
fi
true
)

View File

@ -5,14 +5,14 @@ COL_RED="\e[31m"
COL_RESET="\e[0m"
COL_YELLOW="\e[33;1m"
function echo_red() {
echo -e "${COL_RED}$*${COL_RESET}"
function log_error() {
echo -e "${COL_RED}[ERROR] $*${COL_RESET}"
}
function echo_yellow() {
echo -e "${COL_YELLOW}$*${COL_RESET}"
function log_info() {
echo -e "${COL_YELLOW}[INFO] $*${COL_RESET}"
}
function echo_green() {
echo -e "${COL_GREEN}$*${COL_RESET}"
function log_success() {
echo -e "${COL_GREEN}[SUCCESS] $*${COL_RESET}"
}

View File

@ -17,13 +17,13 @@ if [ "${BUILD}" = "deploy" ]; then
# The site has been built before, the files have already been uploaded to sourceforge.
# Since this is a release, making the binary the new default file...
echo_yellow "[ INFO] Selecting pmd-bin-${RELEASE_VERSION} as default on sourceforge.net..."
log_info "Selecting pmd-bin-${RELEASE_VERSION} as default on sourceforge.net..."
curl -H "Accept: application/json" -X PUT -d "default=windows&default=mac&default=linux&default=bsd&default=solaris&default=others" \
-d "api_key=${PMD_SF_APIKEY}" https://sourceforge.net/projects/pmd/files/pmd/${RELEASE_VERSION}/pmd-bin-${RELEASE_VERSION}.zip
if [ $? -ne 0 ]; then
echo_red "[ERROR] Couldn't select latest binary as default on sourceforge.net"
log_error "Couldn't select latest binary as default on sourceforge.net"
else
echo_green "[ INFO] pmd-bin-${RELEASE_VERSION} is now the default download option."
log_info "pmd-bin-${RELEASE_VERSION} is now the default download option."
fi
true
)
@ -43,7 +43,7 @@ cat > release-edit-request.json <<EOF
"body": "$RELEASE_BODY"
}
EOF
echo_yellow "[ INFO] Updating release at https://api.github.com/repos/pmd/pmd/releases/${RELEASE_ID}..."
log_info "Updating release at https://api.github.com/repos/pmd/pmd/releases/${RELEASE_ID}..."
RESPONSE=$(curl -i -s -H "Authorization: token ${GITHUB_OAUTH_TOKEN}" -H "Content-Type: application/json" --data "@release-edit-request.json" -X PATCH https://api.github.com/repos/pmd/pmd/releases/${RELEASE_ID})
@ -63,7 +63,7 @@ fi
if [ "${BUILD}" = "doc" ]; then
echo -e "\n\n"
echo_yellow "[ INFO] Adding the new doc to pmd.github.io..."
log_info "Adding the new doc to pmd.github.io..."
# clone pmd.github.io. Note: This uses the ssh key setup earlier
# In order to speed things up, we use a sparse checkout - no need to checkout all directories here
mkdir pmd.github.io
@ -99,15 +99,15 @@ mkdir pmd.github.io
# disable fast fail, exit immediately, in this subshell
set +e
echo_yellow "[ INFO] Uploading the new release to pmd.sourceforge.net which serves as an archive..."
log_info "Uploading the new release to pmd.sourceforge.net which serves as an archive..."
travis_wait rsync -ah --stats pmd-doc-${VERSION}/ ${PMD_SF_USER}@web.sourceforge.net:/home/project-web/pmd/htdocs/pmd-${RELEASE_VERSION}/
if [ $? -ne 0 ]; then
echo_red "[ERROR] Uploading documentation to pmd.sourceforge.net failed..."
echo_red "[ERROR] Please upload manually (PMD Version: ${RELEASE_VERSION})"
log_error "Uploading documentation to pmd.sourceforge.net failed..."
log_error "Please upload manually (PMD Version: ${RELEASE_VERSION})"
else
echo_green "[ INFO] The documentation is now available under http://pmd.sourceforge.net/pmd-${RELEASE_VERSION}/"
log_success "The documentation is now available under http://pmd.sourceforge.net/pmd-${RELEASE_VERSION}/"
fi
true
)